Package org.codehaus.janino

# Class Java.IdentifierLambdaParameters

java.lang.Object
org.codehaus.janino.Java.IdentifierLambdaParameters

All Implemented Interfaces:
  `Java.LambdaParameters`

Enclosing class:
  `Java`

public static class Java.IdentifierLambdaParameters extends Object implements Java.LambdaParameters
Representation of "lamba parameters" that consist of a single identifier; see JLS9 15.27.1

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`identifier`
The single identifier.

## Constructor Summary

Constructors
Constructor
Description
`IdentifierLambdaParameters(String identifier)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.LambdaParametersVisitor<R,EX> lpv)`
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### identifier

public final String identifier
The single identifier.

## Constructor Details

### IdentifierLambdaParameters

public IdentifierLambdaParameters(String identifier)

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.LambdaParametersVisitor<R,EX> lpv) throws EX
Description copied from interface: `Java.LambdaParameters`
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.

Specified by:
  `accept` in interface `Java.LambdaParameters`
Throws:
  `EX`